/usr/games/lierolibre-extractlev is in lierolibre 0.5-1build2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 | #!/bin/bash
#
# This script is licensed under the BSD-2-Clause license:
#
# -----//-----
#
# Copyright (c) 2012, Martin Erik Werner <martinerikwerner@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# -----//-----
#
# This script extracts the level canvas contained within a Liero .LEV file and
# dumps it to a greyscale images in xpm format, use the 'packlev' script to
# pack it back up again.
#
# Credit goes to Tim Verweij for information regarding the LEV file format:
# http://lierohell.free.fr/lierohack/docformats/liero-lev.html
usage="Usage: $0 <inputfile.lev> <outputfile.xpm>"
if [ $# != 2 ]; then
echo >&2 $usage
exit 1
fi
if [ ! -r "$1" ]; then
echo >&2 "Unable to read file '"$1"', aborting"
exit 1
fi
touch "$2" 2>&- || { echo >&2 "'"$2"' is not writable, aborting"; exit 1; }
inputfile="$1"
outputfile="$2"
imgsize=$((504 * 350))
imgdim=504x350
dd if="$inputfile" bs=1 ibs=1 count="$imgsize" 2>/dev/null | \
convert -depth 8 -size "$imgdim" gray:- "$outputfile"
|